import babel from 'rollup-plugin-babel';
import commonjs from 'rollup-plugin-commonjs';
import resolve from 'rollup-plugin-node-resolve';
import json from 'rollup-plugin-json';

export default {
    entry: 'src/index.js',
    moduleName: 'PL',
    format: 'umd',
    plugins: [
        resolve(),
        commonjs(),
        json(),
        babel({
            exclude: 'node_modules/**',
            presets: ["es2015-rollup"]
        }),
    ],
    // external: [''],
    // sourceMap: true
};