import Load from './load/';

export default function ({ config = {}, libs = [], styles = [], exs = [], loaded = function(){} }) {
    Load.config(config);    
    const _styles = styles.map((s) => {
        return {
            type: 'css',
            link: s,
        };
    });
    const _js = [...libs, ...exs].map((js) => {
        return {
            type: 'js',
            link: js,
        };
    });
    Load([..._styles, ..._js], loaded);
};