function type(o, t) {
  return (Object.prototype.toString.call(o) === `[object ${t}]`);
}

export function isArray(obj) { return type(obj, 'Array'); }

export function isString(obj) { return type(obj, 'String'); }

export function isNumber(obj) { return type(obj, 'Number'); }

export function isFunction(obj) { return type(obj, 'Function'); }

export function isObject(obj) { return type(obj, 'Object'); }

export function isEmptyObject(e) {
  if (!isObject(e)) return false;

  for (const t in e) {
      return !1;
  }

  return !0;
}

export function distinct(arr) {
  if (isArray(arr)) {
      const len = arr.length;
      function loop(index) {
          if (index >= 1) {
              if (arr[index] === arr[index - 1]) {
                  arr.splice(index, 1);
              }
              loop(index - 1);
          }
      }
      loop(len - 1);
  }

  return arr;
}